Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.domain.impl
Class BusinessObject

    java.lang.Object
      org.acegisecurity.domain.impl.BusinessObject

All Implemented Interfaces:
  Serializable, Cloneable

Direct Known Subclasses:
  AbstractPersistableEntity, PersistableValue

    public abstract class BusinessObject

extends Object
implements Serializable, Cloneable

A business domain object.

Only minimal convenience methods are provided by `BusinessObject`. Whilst many other methods could easily be offered (and overridden on an as-required basis) it is felt the default behaviour of `Object` is widely understood and an appropriate default.

Version:
  $Id: BusinessObject.java,v 1.4 2005/11/17 00:55:49 benalex Exp $
Author:
  Carlos Sanchez, Ben Alex, Matthew Porter
See Also:
  Serialized Form

Field Summary
`protected org.apache.commons.logging.Log` | `logger`

Constructor Summary
`BusinessObject()`

Method Summary
`Object` | `clone()` Swallow cloning.
`String` | `toString()` Delegates to `CollectionIgnoringReflectionToStringBuilder`.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### logger

    protected final transient org.apache.commons.logging.Log logger

Constructor Detail

### BusinessObject

    public BusinessObject()

Method Detail

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Swallow cloning.

  This method delegates to BeanUtils.cloneBean().

  Overrides:
    `clone` in class `Object`
  Returns:
    a clone of the current instance
  Throws:
    `IllegalStateException` - if there are any problems with swallow cloning
    `CloneNotSupportedException`
  See Also:
    `Object.clone()`, `BeanUtils.cloneBean(Object)`

### toString

    public String toString()

  Delegates to `CollectionIgnoringReflectionToStringBuilder`.

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.